Bug 1127279 - [patch] make contents of egg_info deterministic
Summary: [patch] make contents of egg_info deterministic
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-setuptools
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 14:12 UTC by Benedikt Morbach
Modified: 2014-10-11 21:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-11 21:01:59 UTC


Attachments (Terms of Use)
patch for deterministic egg-info (3.03 KB, patch)
2014-08-06 14:12 UTC, Benedikt Morbach
no flags Details | Diff

Description Benedikt Morbach 2014-08-06 14:12:12 UTC
Created attachment 924495 [details]
patch for deterministic egg-info

With python-setuptools-2.0-8, the order of the lines in *.egg-info/requirements.txt and .../entry_points.txt are ordered randomly.

This means that two consecutive builds of the same srpm might end up with differing content.

Upstream recognized that as a problem and fixed it. The attached patch contains the three corresponding upstream commits and applies to 2.0
It would be great if you could apply it to our setuptools package.

Alternatively, please consider updating to https://bugzilla.redhat.com/show_bug.cgi?id=1044444 which contains these commits

Comment 1 Fedora Admin XMLRPC Client 2014-08-14 03:32:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Ralph Bean 2014-10-11 21:01:59 UTC
OK - built for rawhide:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7834466


Note You need to log in before you can comment on or make changes to this bug.